CoverageAttributeTable (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class CoverageAttributeTable

    java.lang.Object
      com.bbn.openmap.layer.vpf.CoverageAttributeTable

    public class CoverageAttributeTable

extends java.lang.Object

Handle the library level VPF directory. "noamer" in DCW is an example of the library level data. This class loads the associated tiling information, and the coverage types, and make them available to the client.

Nested Class Summary
`static class` | `CoverageAttributeTable.CoverageEntry` A utility class to hold information about one coverage type.

Field Summary
`protected DataBounds` | `bounds`
`protected java.lang.String` | `dirpath` the path to our directory
`protected java.lang.String` | `libraryname` the name of the library we are, for example "noamer" in DCW

Constructor Summary
`CoverageAttributeTable(java.lang.String dcwpath, java.lang.String libname)` Construct a new coverage attribute table

Method Summary
`DataBounds` | `getBounds()` Gets a DataBounds object that specifies what the CAT covers.
`java.lang.String` | `getCoverageDescription(java.lang.String covname)` Get the description of a coverage type
`java.lang.String[]` | `getCoverageNames()` Return the list of coverages this library has
`CoverageTable` | `getCoverageTable(java.lang.String covname)` Get the CoverageTable for a particular coverage type
`CoverageTable` | `getCoverageTableForFeature(java.lang.String featureName)`
`int` | `getCoverageTopologyLevel(java.lang.String covname)` Get the topology level of a coverage.
`java.lang.String` | `getLibraryName()` the name of the library
`TileDirectory` | `getTileWithID(int id)` Get the TileDirectory with the given ID number.
`TileDirectory` | `getTileWithID(java.lang.String id)` Know that the tile id are the integers used in the tileref.aft file.
`boolean` | `isTiledCoverage()` is this library tiled
`boolean` | `isTiledData()` Find out if this library uses tiled data
`java.util.List<TileDirectory>` | `tilesInRegion(float n, float s, float e, float w)` get a list of tiles in the bounding region

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### libraryname

    protected final java.lang.String libraryname

  the name of the library we are, for example "noamer" in DCW

### dirpath

    protected final java.lang.String dirpath

  the path to our directory

### bounds

    protected DataBounds bounds

Constructor Detail

### CoverageAttributeTable

    public CoverageAttributeTable(java.lang.String dcwpath,
                                  java.lang.String libname)
                           throws FormatException

  Construct a new coverage attribute table

  Parameters:
    `libname` - the name of the library
    `dcwpath` - the path to the library
  Throws:
    `FormatException` - may throw FormatExceptions

Method Detail

### isTiledCoverage

    public final boolean isTiledCoverage()

  is this library tiled

  Returns:
    `true` for tiled coverage. `false` else

### getLibraryName

    public java.lang.String getLibraryName()

  the name of the library

  Returns:
    the name of the library

### getCoverageDescription

    public java.lang.String getCoverageDescription(java.lang.String covname)

  Get the description of a coverage type

  Parameters:
    `covname` - the name of the coverage type
  Returns:
    the coverage description from the VPF database. A null return value indicates an unknown coverage type

### getCoverageTopologyLevel

    public int getCoverageTopologyLevel(java.lang.String covname)

  Get the topology level of a coverage.

  Parameters:
    `covname` - the name of the coverage type
  Returns:
    the topology level of the coverage (-1 if not a valid coverage)

### getCoverageTable

    public CoverageTable getCoverageTable(java.lang.String covname)

  Get the CoverageTable for a particular coverage type

  Parameters:
    `covname` - the name of the coverage type
  Returns:
    the associated coverage table (possibly null)

### getCoverageTableForFeature

    public CoverageTable getCoverageTableForFeature(java.lang.String featureName)

### tilesInRegion

    public java.util.List<TileDirectory> tilesInRegion(float n,
                                                       float s,
                                                       float e,
                                                       float w)

  get a list of tiles in the bounding region

  Parameters:
    `n` - northern boundary
    `s` - southern boundary
    `e` - eating foundry
    `w` - wheat bread
  Returns:
    a vector of TileDirectories

### getTileWithID

    public TileDirectory getTileWithID(int id)

  Get the TileDirectory with the given ID number.

### getTileWithID

    public TileDirectory getTileWithID(java.lang.String id)

  Know that the tile id are the integers used in the tileref.aft file. May return null if the format of the id is bad, or if the tile doesn't really exist (that really shouldn't happen).

### isTiledData

    public boolean isTiledData()

  Find out if this library uses tiled data

  Returns:
    true for tiled data

### getCoverageNames

    public java.lang.String[] getCoverageNames()

  Return the list of coverages this library has

  Returns:
    the list of coverages (DCW would include "po", "dn"; VMAP would have "bnd", "tran", etc.)

### getBounds

    public DataBounds getBounds()

  Gets a DataBounds object that specifies what the CAT covers.

  Returns:
    DataBounds

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details